Debian Bug report logs - #728553
ITP: node-almond -- minimal AMD API implementation for use in optimized browser builds

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Georges Khaznadar <georgesk@debian.org>

Date: Sat, 2 Nov 2013 20:21:01 UTC

Owned by: Georges Khaznadar <georgesk@debian.org>

Severity: wishlist

Fixed in version almond/0.2.6-1

Done: <georgesk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#728553; Package wnpp. (Sat, 02 Nov 2013 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georgesk@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 02 Nov 2013 20:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-almond -- minimal AMD API implementation for use in optimized browser builds
Date: Sat, 02 Nov 2013 21:20:20 +0100
Package: wnpp
Severity: wishlist
Owner: Georges Khaznadar <georgesk@debian.org>

* Package name    : node-almond
  Version         : 0.2.6
  Upstream Author : James Burke <http://github.com/jrburke/almond>
* URL             : https://github.com/jrburke/almond/archive/0.2.6.tar.gz
* License         : dual BSD + MIT
  Programming Lang: Javascript
  Description     : minimal AMD API implementation for use in optimized browser
builds
 Some developers like to use the AMD API to code modular JavaScript,
 but after doing an optimized build, they do not want to include a
 full AMD loader like RequireJS, since they do not need all that
 functionality.
 .
 Some use cases, like mobile, are very sensitive to file sizes.
 .
 By including almond in the built file, there is no need for
 RequireJS.  almond is around **1 kilobyte** when minified with
 Closure Compiler and gzipped.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 03 Nov 2013 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to <georgesk@debian.org>:
You have taken responsibility. (Fri, 29 Nov 2013 17:03:47 GMT) Full text and rfc822 format available.

Notification sent to Georges Khaznadar <georgesk@debian.org>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 17:03:48 GMT) Full text and rfc822 format available.

Message #12 received at 728553-close@bugs.debian.org (full text, mbox):

From: <georgesk@debian.org>
To: 728553-close@bugs.debian.org
Subject: Bug#728553: fixed in almond 0.2.6-1
Date: Fri, 29 Nov 2013 17:00:05 +0000
Source: almond
Source-Version: 0.2.6-1

We believe that the bug you reported is fixed in the latest version of
almond, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728553@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
georgesk@debian.org (supplier of updated almond package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Nov 2013 16:28:01 +0100
Source: almond
Binary: node-almond
Architecture: source amd64
Version: 0.2.6-1
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@debian.org>
Changed-By: georgesk@debian.org
Description: 
 node-almond - minimal AMD API implementation for use in optimized browser build
Closes: 728553
Changes: 
 almond (0.2.6-1) unstable; urgency=low
 .
   * Initial release (Closes: #728553)
Checksums-Sha1: 
 25e5c461886daf215f60bbacb3b8d3408487286d 1064 almond_0.2.6-1.dsc
 a42087091691efd663a66070f63ce2b091de957d 80225 almond_0.2.6.orig.tar.gz
 af81b839ce1d25bf00b44e975b2dc8bb21dae414 3275 almond_0.2.6-1.debian.tar.gz
 8258e9498d375665c51f1cf59d89afb997397e93 11526 node-almond_0.2.6-1_amd64.deb
Checksums-Sha256: 
 84ae2ecc68affdb56032e1dfa1b1409ff94db6759c6513caef6063366e2ee149 1064 almond_0.2.6-1.dsc
 759c7df2544d33ab05dc2a5abe77a468adb0fe2b802045bbfc0be8271a609020 80225 almond_0.2.6.orig.tar.gz
 bd6e37c4634f3e3915f90a20dab25b213df71102ccfa06d4988071992362d8a7 3275 almond_0.2.6-1.debian.tar.gz
 79ec0952329a0fcbcc613620aa1d0789a1f845d53d04cc42201d40f9d382ad4b 11526 node-almond_0.2.6-1_amd64.deb
Files: 
 9a2070f83c3c2b5b02d4486937af3002 1064 web extra almond_0.2.6-1.dsc
 3d061cdd94d93d4be4ea5472d767b6f8 80225 web extra almond_0.2.6.orig.tar.gz
 ded226494c8b3f5a86d5ce419da9e5e3 3275 web extra almond_0.2.6-1.debian.tar.gz
 6d2b8eafcb8a2dfa3a4103d0eb427427 11526 web extra node-almond_0.2.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFSdWJknfmb2hFpETARAm8NAJ9sBM5v3MODI2LY6JAOvRoPxY+RiwCfUBas
PKqvfHJiMpCKYey5azd5OrA=
=atf6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:35:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:40:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.